Bug 1938984 - Move nginx from PCRE to PCRE2
Summary: Move nginx from PCRE to PCRE2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nginx
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Kaechele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-15 12:08 UTC by Petr Pisar
Modified: 2022-01-06 02:00 UTC (History)
9 users (show)

Fixed In Version: nginx-mainline-3420211228173214.058368ca nginx-mainline-820211228173214.9edba152 nginx-mainline-3520211228173214.f27b74a8
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-06 01:54:45 UTC
Type: Feature Request


Attachments (Terms of Use)

Description Petr Pisar 2021-03-15 12:08:57 UTC
This is a kindly hint that nginx-1:1.18.0-5.fc35 still uses PCRE library which has been superseded with PCRE2 project by PCRE upstream in 2015. PCRE upstream considers PCRE obsolete now and does not devote any resources to PCRE except of critical bugs. Please consider porting nginx from PCRE to PCRE2.

Comment 1 Felix Kaechele 2021-03-15 13:21:54 UTC
Thanks for the report, Petr. I will queue this up for the next release!

Comment 2 Fedora Update System 2021-04-21 02:45:44 UTC
FEDORA-2021-c0243589ee has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c0243589ee

Comment 3 Fedora Update System 2021-04-21 02:45:57 UTC
FEDORA-2021-0d3d0559f7 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0d3d0559f7

Comment 4 Fedora Update System 2021-04-21 02:46:09 UTC
FEDORA-2021-2cf5ad411d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2cf5ad411d

Comment 5 Fedora Update System 2021-04-21 15:01:24 UTC
FEDORA-2021-c0243589ee has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c0243589ee`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c0243589ee

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Felix Kaechele 2021-04-21 15:07:53 UTC
Sorry, I was prematurely assuming pcre2 was a drop in replacement for nginx.

Upstream is reluctant to move to pcre2: http://mailman.nginx.org/pipermail/nginx-devel/2019-January/011821.html

Comment 7 Fedora Update System 2021-12-28 18:48:46 UTC
FEDORA-EPEL-MODULAR-2021-43becaa7a1 has been submitted as an update to Fedora Epel 8 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-43becaa7a1

Comment 8 Fedora Update System 2021-12-28 18:48:48 UTC
FEDORA-MODULAR-2021-d135be9df1 has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-d135be9df1

Comment 9 Fedora Update System 2021-12-28 18:48:48 UTC
FEDORA-MODULAR-2021-8bcc5bb3cb has been submitted as an update to Fedora 35 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-8bcc5bb3cb

Comment 10 Fedora Update System 2021-12-29 02:07:42 UTC
FEDORA-EPEL-MODULAR-2021-43becaa7a1 has been pushed to the Fedora Epel 8 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-43becaa7a1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-12-29 02:11:32 UTC
FEDORA-MODULAR-2021-d135be9df1 has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-d135be9df1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-12-29 02:14:09 UTC
FEDORA-MODULAR-2021-8bcc5bb3cb has been pushed to the Fedora 35 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-8bcc5bb3cb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-01-06 01:54:45 UTC
FEDORA-MODULAR-2021-d135be9df1 has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-01-06 01:56:17 UTC
FEDORA-EPEL-MODULAR-2021-43becaa7a1 has been pushed to the Fedora Epel 8 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2022-01-06 02:00:53 UTC
FEDORA-MODULAR-2021-8bcc5bb3cb has been pushed to the Fedora 35 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.